%global commit eddf66ead1b76f87981dd5e5cc267ab38bc59496
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global stackname genpy
Name:           python-%{stackname}
Version:        0.3.7
Release:        16.20130623git%{shortcommit}%{?dist}
Summary:        Python ROS message and service generation

License:        BSD
URL:            http://ros.org/
Source0:        https://github.com/ros/%{stackname}/archive/%{commit}/%{stackname}-%{version}-%{shortcommit}.tar.gz

# Move /usr/etc/langs to /etc/ros-langs
Patch0:         ros-%{stackname}-langs.patch
BuildArch:      noarch

BuildRequires:  catkin-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  python-genmsg-devel
BuildRequires:  python2-catkin-sphinx
BuildRequires:  python2-devel
BuildRequires:  python2-nose

%global _description\
genpy generates ROS Python messages from message definition files

%description %_description

%package -n python2-%{stackname}
Summary: %summary
Requires:       python2-genmsg
%{?python_provide:%python_provide python2-%{stackname}}

%description -n python2-%{stackname} %_description

%package devel
Summary: Development files for %{name}
Requires: python2-%{stackname} = %{version}-%{release}
Requires: python-genmsg-devel

%description devel
The %{name}-devel package contains cmake and pkgconfig files for
developing applications that use %{name}.

%prep
%setup -qn %{stackname}-%{commit}
%patch0 -p1 -b .langs

%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd
pushd doc
make html
rm -f _build/html/.buildinfo
popd

%install
make -C build install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_datadir}/%{stackname}/bin

mkdir -p %{buildroot}%{_datadir}/pkgconfig
mv %{buildroot}%{_libdir}/pkgconfig/%{stackname}.pc %{buildroot}/%{_datadir}/pkgconfig

%check
make -C build test

%files -n python2-%{stackname}
%doc doc/_build/html
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/ros-langs/%{stackname}
%dir %{_datadir}/%{stackname}
%{_datadir}/%{stackname}/stack.xml
%{python_sitelib}/%{stackname}
%{python_sitelib}/*egg-info

%files devel
%{_datadir}/%{stackname}/cmake
%{_datadir}/pkgconfig/*.pc

%changelog
* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.7-16.20130623giteddf66e
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-15.20130623giteddf66e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 29 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.7-14.20130623giteddf66e
- Update BR so %python_provide is available

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.7-13.20130623giteddf66e
- Python 2 binary package renamed to python2-genpy
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-12.20130623giteddf66e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-11.20130623giteddf66e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-10.20130623giteddf66e
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-9.20130623giteddf66e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-8.20130623giteddf66e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-7.20130623giteddf66e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-6.20130623giteddf66e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-5.20130623giteddf66e
- Updated devel subpackage description

* Thu Jul 04 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-4.20130623giteddf66e
- Enable nose-based tests
- Build and install html documentation

* Sun Jun 23 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-3.20130623giteddf66e
- Update to comply with github upstream guidelines
- Create devel subpackage
- Fix build and runtime requirements

* Mon Mar 25 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-2.gitc4d0d8d
- Rename to python-genpy

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.3.7-1.gitc4d0d8d
- Initial package
